org.apache.commons.net.imap

## Enum AuthenticatingIMAPClient.AUTH_METHOD

- java.lang.Object
- - java.lang.Enum<AuthenticatingIMAPClient.AUTH_METHOD>
  - - org.apache.commons.net.imap.AuthenticatingIMAPClient.AUTH_METHOD

- All Implemented Interfaces:
    Serializable, Comparable<AuthenticatingIMAPClient.AUTH_METHOD>
  Enclosing class:
    AuthenticatingIMAPClient

      public static enum AuthenticatingIMAPClient.AUTH_METHOD
      extends Enum<AuthenticatingIMAPClient.AUTH_METHOD>

  The enumeration of currently-supported authentication methods.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CRAM_MD5` The standardized (RFC2195) CRAM-MD5 method, which doesn't send the password (secure).
    `LOGIN` The standardized Microsoft LOGIN method, which sends the password unencrypted (insecure).
    `PLAIN` The standardized (RFC4616) PLAIN method, which sends the password unencrypted (insecure).
    `XOAUTH` XOAUTH
    `XOAUTH2` XOAUTH 2

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAuthName()` Gets the name of the given authentication method suitable for the server.
    `static AuthenticatingIMAPClient.AUTH_METHOD` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AuthenticatingIMAPClient.AUTH_METHOD[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CRAM_MD5

          public static final AuthenticatingIMAPClient.AUTH_METHOD CRAM_MD5

      The standardized (RFC2195) CRAM-MD5 method, which doesn't send the password (secure).

    - #### LOGIN

          public static final AuthenticatingIMAPClient.AUTH_METHOD LOGIN

      The standardized Microsoft LOGIN method, which sends the password unencrypted (insecure).

    - #### PLAIN

          public static final AuthenticatingIMAPClient.AUTH_METHOD PLAIN

      The standardized (RFC4616) PLAIN method, which sends the password unencrypted (insecure).

    - #### XOAUTH

          public static final AuthenticatingIMAPClient.AUTH_METHOD XOAUTH

      XOAUTH

    - #### XOAUTH2

          public static final AuthenticatingIMAPClient.AUTH_METHOD XOAUTH2

      XOAUTH 2

  - ### Method Detail

    - #### getAuthName

          public String getAuthName()

      Gets the name of the given authentication method suitable for the server.
      Returns:
        The name of the given authentication method suitable for the server.

    - #### valueOf

          public static AuthenticatingIMAPClient.AUTH_METHOD valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static AuthenticatingIMAPClient.AUTH_METHOD[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AuthenticatingIMAPClient.AUTH_METHOD c : AuthenticatingIMAPClient.AUTH_METHOD.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared